using System;
using CogArtTech.Music.Library;
using CogArtTech.Music.Library.Lists;

namespace CogArtTech.Music.WebApp
{
    public partial class BandDetail : MusicPageBase
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if(!IsPostBack)
            {
                BindList();
            }
        }

        protected void btnCommand_Click(object sender, EventArgs e)
        {
            Band band = BandsList.NewBand();
            band.Name = txtBand.Text;
            band.CountryCode = rlistCountries.SelectedValue;
            BandsList list = BandsList.GeList();
            list.Add(band);
            list.Save();
        }

        protected void calStartDate_SelectionChanged(object sender, EventArgs e)
        {
            txtStartDate.Text = calStartDate.SelectedDate.ToShortDateString();
        }

        protected void calEndDate_SelectionChanged(object sender, EventArgs e)
        {
            txtEndDate.Text = calEndDate.SelectedDate.ToShortDateString();
        }

        private void BindList()
        {
            lstBands.DataSource = BandsList.GetList(rlistRemoveCountryCode.SelectedValue);
            lstBands.DataTextField = "Name";
            lstBands.DataValueField = "Id";
            lstBands.DataBind();
        }

        protected void rlistRemoveCountryCode_SelectedIndexChanged(object sender, EventArgs e)
        {
            BindList();
        }
    }
}